## knot 2.0.0

=== debian/changelog ===
knot (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
   + Bugfixes:
    - Fix lost NOTIFY message if received during zone transfer
    - Disable fast zone parser when compiled in Clang (workaround for Clang bug)
    - kdig: Record correct dnstap SocketProtocol when retrying over TCP
    - kdig: Hide TSIG section with +noall
    - Do not set AA flag for AXFR/IXFR queries
   + Features:
    - DNSSEC: separate library, switch to GnuTLS, new utilities
    - DNSSEC: basic KASP support (generate initial keys, ZSK rollover)
    - Configuration: New text format in YAML, binary store in LMDB
    - Zone parser: Split long TXT/SPF strings into multiple strings
    - kdig: Add generic dump style option (+generic)
    - Try all master servers in multi-master environment
    - Improved remotes and ACLs (multiple addresses, multiple keys)
    - Basic support for zone file patterns (%s to substitute zone name)
    - Disable zone file synchronization by setting 'zonefile_sync' to '-1'
    - knsupdate: Add input prompt in interactive mode and 'quit' command
    - knsupdate: Allow TSIG algorithm specification in interactive prompt
   + Improvements:
    - Zone dump: Do not write class for SOA record (unified with other RR types)
    - Zone dump: Do not write master server address into the zone file
    - Documentation: Manual pages are included in HTML and PDF
  * Install knot1to2 configuration file conversion tool
  * Automatically convert knot.conf with some safety-checks
  * Add note about the conversion to debian/knot.NEWS
  * Make the build libsystem-{daemon,journal}-dev friendly to allow Ubuntu
    and backported builds

 -- Ondřej Surý <ondrej@debian.org>  Mon, 17 Aug 2015 11:56:43 +0200

knot (2.0.0-1~exp2) experimental; urgency=medium

  * Update prepare-environment to match the new config file syntax

 -- Ondřej Surý <ondrej@debian.org>  Thu, 30 Jul 2015 09:26:52 +0200

knot (2.0.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.0.0
   + Bugfixes:
    - Fix lost NOTIFY message if received during zone transfer
    - Disable fast zone parser when compiled in Clang (workaround for Clang bug)
    - kdig: Record correct dnstap SocketProtocol when retrying over TCP
    - kdig: Hide TSIG section with +noall
    - Do not set AA flag for AXFR/IXFR queries
   + Features:
    - DNSSEC: separate library, switch to GnuTLS, new utilities
    - DNSSEC: basic KASP support (generate initial keys, ZSK rollover)
    - Configuration: New text format in YAML, binary store in LMDB
    - Zone parser: Split long TXT/SPF strings into multiple strings
    - kdig: Add generic dump style option (+generic)
    - Try all master servers in multi-master environment
    - Improved remotes and ACLs (multiple addresses, multiple keys)
    - Basic support for zone file patterns (%s to substitute zone name)
    - Disable zone file synchronization by setting 'zonefile_sync' to '-1'
    - knsupdate: Add input prompt in interactive mode and 'quit' command
    - knsupdate: Allow TSIG algorithm specification in interactive prompt
   + Improvements:
    - Zone dump: Do not write class for SOA record (unified with other RR types)
    - Zone dump: Do not write master server address into the zone file
    - Documentation: Manual pages are included in HTML and PDF
  * Install knot1to2 configuration file conversion tool
  * Automatically convert knot.conf with some safety-checks
  * Add note about the conversion to debian/knot.NEWS
  * Make the build libsystem-{daemon,journal}-dev friendly to allow Ubuntu
    and backported builds

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Jun 2015 10:40:45 +0200
