=== debian/control ===
Source: knot
Section: net
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends-Indep: ghostscript,
                     python-sphinx,
                     texinfo,
                     texlive,
                     texlive-font-utils,
                     texlive-latex-extra
Build-Depends: autotools-dev,
               bash-completion,
               bison,
               debhelper (>= 9),
               dh-autoreconf,
               dh-systemd,
               flex,
               libgnutls28-dev,
               libidn11-dev,
               libjansson-dev (>= 2.4),
               liblmdb-dev,
               libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
               libsystemd-dev [linux-any] | libsystemd-journal-dev [linux-any],
               liburcu-dev (>= 0.4),
               pkg-config
Standards-Version: 3.9.6
Homepage: http://www.knot-dns.cz/
Vcs-Browser: http://anonscm.debian.org/?p=users/ondrej/knot.git
Vcs-Git: git://anonscm.debian.org/users/ondrej/knot.git

Package: knot
Architecture: any
Depends: adduser,
         knot-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: systemd
Description: authoritative domain name server
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Section: libs
Description: authoritative domain name server
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides various internal common shared libraries.

Package: knot-dbg
Architecture: any
Depends: knot (= ${binary:Version}),
         knot-libs (= ${binary:Version}),
         ${misc:Depends}
Recommends: gdb
Section: debug
Priority: extra
Description: Debug symbols for Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides the debug symbols for Knot DNS needed for
 properly debugging errors in Knot DNS with gdb.

Package: knot-dnsutils
Architecture: any
Depends: knot-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Section: net
Conflicts: dnsutils
Replaces: dnsutils
Provides: dnsutils
Description: Clients provided with Knot DNS (kdig, knslookup, knsupdate)
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package delivers various client programs related to DNS that are
 derived from the Knot DNS source tree.
 .
  - [k]dig - query the DNS in various ways
  - [k]nsupdate - perform dynamic updates (See RFC2136)
 .
 Those clients were designed to be 1:1 compatible with BIND dnsutils,
 but they provide some enhancements, which are documented in respective
 manpages.
 .
 WARNING: [k]nslookup is not provided as it is considered obsolete.

Package: knot-host
Architecture: any
Depends: knot-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Section: net
Conflicts: host
Provides: host
Replaces: host
Description: Version of 'host' bundled with Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides the 'host' program in the form that is bundled
 with the Knot DNS.  The 'host' command is designed to be 1:1
 compatible with BIND 9.x 'host' program.

Package: knot-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Documentation for Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides various documents that are useful for
 maintaining a working Knot DNS installation.
