## knot 2.1.1

=== debian/changelog ===
knot (2.1.1-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:25:58 +0000

knot (2.1.1-1) unstable; urgency=medium

  * Imported Upstream version 2.1.1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Feb 2016 20:01:44 +0100

knot (2.1.0-3) unstable; urgency=medium

  * Add small python helper programs to get values from knot.conf

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Jan 2016 12:44:00 +0100

knot (2.1.0-2) unstable; urgency=medium

  * Revert "Run keymgr init on every upgrade (just to be sure it happens)"
  * Add support for relative directories in kasp-db

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Jan 2016 11:46:35 +0100

knot (2.1.0-1) unstable; urgency=medium

  * Set knot user home directory to /var/lib/knot
  * Imported Upstream version 2.1.0
  * Run keymgr init on every upgrade (just to be sure it happens)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Jan 2016 10:55:26 +0100

knot (2.1.0~rc1-55-gf227348-1) unstable; urgency=medium

  * Add libgnutls28-dev and libjansson-dev as dependencies to libknot-dev
    to satisfy pkg-config requirements
  * Imported Upstream version 2.1.0~rc1-55-gf227348
  * Automatically upgrade all KASP databases found in the configuration
    and restart the server afterwards when upgrading from 2.0.x to 2.1.x

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jan 2016 14:03:17 +0100

knot (2.1.0~rc1-52-gd80ce77-1) unstable; urgency=medium

  * Imported Upstream version 2.1.0~rc1-52-gd80ce77

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 Jan 2016 16:56:12 +0100

knot (2.0.2-1) unstable; urgency=medium

  * Imported Upstream version 2.0.2
  * Delete d/p/series as we carry no patches

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Nov 2015 19:59:56 +0100

knot (2.0.1-4) unstable; urgency=medium

  * Split knot-libs into individual library packages
  * Add knot.default file and use it from systemd and init.d scripts

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Oct 2015 20:34:02 +0200

knot (2.0.1-3) unstable; urgency=medium

  * The upstart conffile ends with .conf, fix the stale conffile removal

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Sep 2015 13:54:42 +0200

knot (2.0.1-2) unstable; urgency=medium

  * Compile the production version with NDEBUG
  * Remove stale upstart init script via dpkg-maintscript-helper rm_config

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Sep 2015 13:41:29 +0200

knot (2.0.1-1) unstable; urgency=medium

  * Imported Upstream version 2.0.1
  * Fix the do_tmpfiles() in sysvrc script (Courtesy of Daniel Baumann)
    (Closes: #796921)
  * Disable -pedantic as it causes errors to be thrown in the tests

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Sep 2015 10:56:16 +0200

knot (2.0.0-1+0) unstable; urgency=medium

  * Bump the version to workaround ~exp* higher than ~bpo*

 -- Ondřej Surý <ondrej@debian.org>  Mon, 17 Aug 2015 15:05:37 +0200
