=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,11 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 # To enable all, uncomment following line
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -DNDEBUG
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DEB_HOST_ARCH        ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -33,6 +33,7 @@
 	  --with-rundir=/run/knot \
 	  --with-storage=/var/lib/knot \
 	  --enable-systemd=auto \
+	  --with-bash-completions \
 	  $(RECVMMSG) \
 	  --disable-silent-rules
 
@@ -61,7 +62,10 @@
 	rm $(CURDIR)/debian/tmp/etc/knot/example.com.zone
 
 	# Remove .la and .so
-	rm $(CURDIR)/debian/tmp/usr/lib/*/*.la $(CURDIR)/debian/tmp/usr/lib/*/*.so
+	rm $(CURDIR)/debian/tmp/usr/lib/*/*.la
+
+	install -m 755 debian/get_user   $(CURDIR)/debian/tmp/usr/lib/knot/
+	install -m 755 debian/get_kaspdb $(CURDIR)/debian/tmp/usr/lib/knot/
 
 	dh_install -Nknot-doc --list-missing
