## knot 2.2.1

=== debian/changelog ===
knot (2.2.1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 May 2016 17:48:16 +0200

knot (2.2.0-3) unstable; urgency=medium

  * knotc checkconf is not knotc conf-check (Closes: #823574)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 May 2016 14:22:11 +0200

knot (2.2.0-2) unstable; urgency=medium

  * Do dbgsym migration of debug symbols

 -- Ondřej Surý <ondrej@debian.org>  Wed, 27 Apr 2016 17:43:59 +0200

knot (2.2.0-1) unstable; urgency=medium

  * confdb should be in /var/lib/knot/ by default
  * Imported Upstream version 2.2.0
  * Add libedit-dev to Build-Depends

 -- Ondřej Surý <ondrej@debian.org>  Wed, 27 Apr 2016 10:10:10 +0200

knot (2.1.1-2) unstable; urgency=medium

  * Add python to Depends and run wrap-and-sort -a
  * Parse correct /etc/default/knot instead of /etc/default/knotd

 -- Ondřej Surý <ondrej@debian.org>  Fri, 15 Apr 2016 17:18:02 +0200
