=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                dh-autoreconf,
                dh-systemd,
                flex,
+               libedit-dev,
                libgnutls28-dev,
                libidn11-dev,
                libjansson-dev (>= 2.4),
@@ -32,10 +33,11 @@
 Package: knot
 Architecture: any
 Depends: adduser,
-	 python-yaml,
          libdnssec0 (= ${binary:Version}),
          libknot1 (= ${binary:Version}),
          libzscanner0 (= ${binary:Version}),
+         python,
+         python-yaml,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: systemd
@@ -49,7 +51,8 @@
 
 Package: libknot1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Section: libs
 Replaces: knot-libs (<< 2.0.1-4)
 Breaks: knot-libs (<< 2.0.1-4)
@@ -66,7 +69,8 @@
 
 Package: libzscanner0
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Section: libs
 Replaces: knot-libs (<< 2.0.1-4)
 Breaks: knot-libs (<< 2.0.1-4)
@@ -83,7 +87,8 @@
 
 Package: libdnssec0
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Section: libs
 Replaces: knot-libs (<< 2.0.1-4)
 Breaks: knot-libs (<< 2.0.1-4)
@@ -101,10 +106,10 @@
 Package: libknot-dev
 Architecture: any
 Depends: libdnssec0 (= ${binary:Version}),
+         libgnutls28-dev,
+         libjansson-dev,
          libknot1 (= ${binary:Version}),
          libzscanner0 (= ${binary:Version}),
-	 libgnutls28-dev,
-	 libjansson-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Section: libdevel
@@ -120,27 +125,6 @@
  .
  This package provides development files for internal common shared
  libraries.
-
-Package: knot-dbg
-Architecture: any
-Depends: knot (= ${binary:Version}),
-         libdnssec0 (= ${binary:Version}),
-         libknot1 (= ${binary:Version}),
-         libzscanner0 (= ${binary:Version}),
-         ${misc:Depends}
-Recommends: gdb
-Section: debug
-Priority: extra
-Description: Debug symbols for Knot DNS
- Knot DNS is a fast, authoritative only, high performance, feature
- full and open source name server.
- .
- Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
- registry and hence is well suited to run anything from the root
- zone, the top-level domain, to many smaller standard domain names.
- .
- This package provides the debug symbols for Knot DNS needed for
- properly debugging errors in Knot DNS with gdb.
 
 Package: knot-dnsutils
 Architecture: any
