=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	-dh_auto_test
 
 override_dh_strip:
-	dh_strip --dbg-package=knot-dbg
+	dh_strip --dbgsym-migration='knot-dbg (<< 2.2.0-2~)' || dh_strip
 
 override_dh_install-arch:
 	# Install sample conf as /etc/knot/knot.conf
