## knot 2.3.0

=== debian/changelog ===
knot (2.3.0-3) unstable; urgency=medium

  * Ignore the test results if they don't finish within 5 minutes
  * Correctly break/replace libzscanner0 that contained libzscanner.so.1

 -- Ondřej Surý <ondrej@debian.org>  Thu, 11 Aug 2016 08:49:25 +0200

knot (2.3.0-2) unstable; urgency=medium

  * Move examples to knot-doc package (fix arch-only FTBFS)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Aug 2016 10:17:17 +0200

knot (2.3.0-1) unstable; urgency=medium

  * Imported Upstream version 2.3.0
   + Zone size limit restriction for DDNS, AXFR, and IXFR (CVE-2016-6171)
     (Closes: #830809)
  * Restructure d/rules so dh_install --fail-missing works again
  * Upstream bumped SOVERSION to libknot3, libdnssec2 and libzscanner1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Aug 2016 09:16:35 +0200

knot (2.2.1-2) unstable; urgency=high

  * Add texlive-generic-extra to B-D for missing iftex.sty
    (Closes: #829428)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 Jul 2016 11:47:34 +0200
