=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                      texinfo,
                      texlive,
                      texlive-font-utils,
+                     texlive-generic-extra,
                      texlive-latex-extra
 Build-Depends: autotools-dev,
                bash-completion,
@@ -25,7 +26,7 @@
                libsystemd-dev [linux-any] | libsystemd-journal-dev [linux-any],
                liburcu-dev (>= 0.4),
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.knot-dns.cz/
 Vcs-Browser: https://anonscm.debian.org/git/pkg-dns/knot.git
 Vcs-Git: git://anonscm.debian.org/pkg-dns/knot.git
@@ -33,9 +34,9 @@
 Package: knot
 Architecture: any
 Depends: adduser,
-         libdnssec0 (= ${binary:Version}),
-         libknot1 (= ${binary:Version}),
-         libzscanner0 (= ${binary:Version}),
+         libdnssec2 (= ${binary:Version}),
+         libknot3 (= ${binary:Version}),
+         libzscanner1 (= ${binary:Version}),
          python,
          python-yaml,
          ${misc:Depends},
@@ -49,7 +50,7 @@
  registry and hence is well suited to run anything from the root
  zone, the top-level domain, to many smaller standard domain names.
 
-Package: libknot1
+Package: libknot3
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -67,13 +68,15 @@
  This package provides libknot shared library used by Knot DNS and
  Knot Resolver.
 
-Package: libzscanner0
+Package: libzscanner1
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Section: libs
-Replaces: knot-libs (<< 2.0.1-4)
-Breaks: knot-libs (<< 2.0.1-4)
+Replaces: knot-libs (<< 2.0.1-4),
+          libzscanner0 (<< 2.3.0~)
+Breaks: knot-libs (<< 2.0.1-4),
+        libzscanner0 (<< 2.3.0~)
 Description: authoritative domain name server
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
@@ -85,7 +88,7 @@
  This package provides a fast zone parser shared library used by Knot
  DNS and Knot Resolver.
 
-Package: libdnssec0
+Package: libdnssec2
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -105,11 +108,11 @@
 
 Package: libknot-dev
 Architecture: any
-Depends: libdnssec0 (= ${binary:Version}),
+Depends: libdnssec2 (= ${binary:Version}),
          libgnutls28-dev,
          libjansson-dev,
-         libknot1 (= ${binary:Version}),
-         libzscanner0 (= ${binary:Version}),
+         libknot3 (= ${binary:Version}),
+         libzscanner1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Section: libdevel
@@ -128,9 +131,9 @@
 
 Package: knot-dnsutils
 Architecture: any
-Depends: libdnssec0 (= ${binary:Version}),
-         libknot1 (= ${binary:Version}),
-         libzscanner0 (= ${binary:Version}),
+Depends: libdnssec2 (= ${binary:Version}),
+         libknot3 (= ${binary:Version}),
+         libzscanner1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Section: net
@@ -159,9 +162,9 @@
 
 Package: knot-host
 Architecture: any
-Depends: libdnssec0 (= ${binary:Version}),
-         libknot1 (= ${binary:Version}),
-         libzscanner0 (= ${binary:Version}),
+Depends: libdnssec2 (= ${binary:Version}),
+         libknot3 (= ${binary:Version}),
+         libzscanner1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Section: net
