## knot 2.3.2

=== debian/changelog ===
knot (2.3.2-1~bpo8+1) jessie-backports; urgency=medium

  * Backport for Jessie (8)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Nov 2016 18:10:50 +0100

knot (2.3.2-1) unstable; urgency=medium

  * Imported Upstream version 2.3.2
  * Add new symbols to libknot4.symbols

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Nov 2016 11:31:33 +0100

knot (2.3.1-1) unstable; urgency=medium

  * Imported Upstream version 2.3.1
  * Bump libknot3 to libknot4
  * kzonecheck was moved to /usr/bin

 -- Ondřej Surý <ondrej@debian.org>  Mon, 10 Oct 2016 12:01:41 +0200

knot (2.3.0-4) unstable; urgency=medium

  * Don't fail if there's no knot user defined
  * Don't list explicit -c or -C path and let daemon figure it out

 -- Ondřej Surý <ondrej@debian.org>  Thu, 15 Sep 2016 12:44:57 +0200
