=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+# export DH_VERBOSE=1
 
 # To enable all, uncomment following line
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -20,6 +20,12 @@
   RECVMMSG:=--enable-recvmmsg=no
 else
   RECVMMSG:=--enable-recvmmsg=yes
+endif
+
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
+  RUN_TEST := dh_auto_test
+else
+  RUN_TEST := -timeout 5m --kill=5s dh_auto_test
 endif
 
 %:
@@ -46,34 +52,28 @@
 override_dh_auto_install-arch:
 	dh_auto_install
 
-override_dh_auto_install-indep:
-	dh_auto_install -- install-info install-pdf install-html
-
-override_dh_auto_test:
-	-dh_auto_test
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='knot-dbg (<< 2.2.0-2~)' || dh_strip
-
-override_dh_install-arch:
 	# Install sample conf as /etc/knot/knot.conf
 	mv $(CURDIR)/debian/tmp/etc/knot/knot.sample.conf $(CURDIR)/debian/tmp/etc/knot/knot.conf
 	# Remove useless example zone from /etc/knot
 	rm $(CURDIR)/debian/tmp/etc/knot/example.com.zone
 
-	# Remove .la and .so
-	rm $(CURDIR)/debian/tmp/usr/lib/*/*.la
-
+	# Install helper utilities
 	install -m 755 debian/get_user   $(CURDIR)/debian/tmp/usr/lib/knot/
 	install -m 755 debian/get_kaspdb $(CURDIR)/debian/tmp/usr/lib/knot/
 
-	dh_install -Nknot-doc --list-missing
+	# Install UFW DNS rules
+	install -m 755 -d $(CURDIR)/debian/tmp/etc/ufw/applications.d/
+	install -m 644 $(CURDIR)/debian/knot.ufw $(CURDIR)/debian/tmp/etc/ufw/applications.d/knot
 
-	install -m 755 -d $(CURDIR)/debian/knot/etc/ufw/applications.d/
-	install -m 644 $(CURDIR)/debian/knot.ufw $(CURDIR)/debian/knot/etc/ufw/applications.d/knot
+override_dh_auto_install-indep:
+	dh_auto_install -- install-info install-pdf install-html
 
-override_dh_install-indep:
-	dh_install -pknot-doc --list-missing
+override_dh_auto_test-indep:
+override_dh_auto_test-arch:
+	$(RUN_TEST)
 
-override_dh_installchangelogs:
-	dh_installchangelogs NEWS
+override_dh_strip:
+	dh_strip --dbgsym-migration='knot-dbg (<< 2.2.0-2~)' || dh_strip
+
+override_dh_install:
+	dh_install --fail-missing -X.la
