## knot 2.4.0

=== debian/changelog ===
knot (2.4.0-3+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches:
    - 0001-tsig-move-signature-validity-period-check-after-the- added, fix
    TSIG signature validation bypass (CVE-2017-11104)           closes: #865678

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 13 Jul 2017 21:56:05 +0200

knot (2.4.0-3) unstable; urgency=medium

  * Fix timeout call syntax in dh_auto_test invocation

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 Jan 2017 15:10:04 +0100

knot (2.4.0-2) unstable; urgency=medium

  * Add -latomic to LDFLAGS to fix FTBFS on platforms that need it

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Jan 2017 11:41:59 +0100

knot (2.4.0-1) unstable; urgency=medium

  * Fix gbp.conf to be readable by git config --file debian/gbp.conf on Jessie
  * New upstream version 2.4.0
  * Bump libknot SONAME 4->5
  * Update symbols files for 2.4.0 release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Jan 2017 12:15:30 +0100

knot (2.3.3-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Use secure URLs where possible
  * Clean up debian/copyright.
  * Drop duplicate Source: lines (clears lintian binary-control-field-duplicates-source)
  * Avoid using asterisk in NEWS (clears lintian debian-news-entry-uses-asterisk)
  * Knot needs a dependency on lsb-base (clears lintian init.d-script-needs-depends-on-lsb-base)
  * Filter auto-reconfed files out during future gbp import-orig operations
  * debian/control: clean up Description: lines
  * Added Documentation= to knot.service

  [ Ondřej Surý ]
  * Imported Upstream version 2.3.3
  * Add kjournalprint to knot package

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 Dec 2016 14:49:31 +0100
