=== debian/control ===
--- 
+++ 
@@ -27,22 +27,23 @@
                liburcu-dev (>= 0.4),
                pkg-config
 Standards-Version: 3.9.8
-Homepage: http://www.knot-dns.cz/
+Homepage: https://www.knot-dns.cz/
 Vcs-Browser: https://anonscm.debian.org/git/pkg-dns/knot.git
-Vcs-Git: git://anonscm.debian.org/pkg-dns/knot.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-dns/knot.git
 
 Package: knot
 Architecture: any
 Depends: adduser,
          libdnssec2 (= ${binary:Version}),
-         libknot4 (= ${binary:Version}),
+         libknot5 (= ${binary:Version}),
          libzscanner1 (= ${binary:Version}),
+         lsb-base (>= 3.0-6),
          python,
          python-yaml,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: systemd
-Description: authoritative domain name server
+Description: Authoritative domain name server
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
  .
@@ -50,14 +51,14 @@
  registry and hence is well suited to run anything from the root
  zone, the top-level domain, to many smaller standard domain names.
 
-Package: libknot4
+Package: libknot5
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Section: libs
 Replaces: knot-libs (<< 2.0.1-4)
 Breaks: knot-libs (<< 2.0.1-4)
-Description: authoritative domain name server
+Description: Authoritative domain name server (shared library)
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
  .
@@ -77,7 +78,7 @@
           libzscanner0 (<< 2.3.0~)
 Breaks: knot-libs (<< 2.0.1-4),
         libzscanner0 (<< 2.3.0~)
-Description: authoritative domain name server
+Description: DNS zone-parsing library from Knot
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
  .
@@ -95,7 +96,7 @@
 Section: libs
 Replaces: knot-libs (<< 2.0.1-4)
 Breaks: knot-libs (<< 2.0.1-4)
-Description: authoritative domain name server
+Description: DNSSEC shared library from Knot
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
  .
@@ -111,14 +112,14 @@
 Depends: libdnssec2 (= ${binary:Version}),
          libgnutls28-dev,
          libjansson-dev,
-         libknot4 (= ${binary:Version}),
+         libknot5 (= ${binary:Version}),
          libzscanner1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Section: libdevel
 Replaces: knot-libs (<< 2.0.1-4)
 Breaks: knot-libs (<< 2.0.1-4)
-Description: authoritative domain name server
+Description: Knot DNS shared library development files
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
  .
@@ -132,11 +133,10 @@
 Package: knot-dnsutils
 Architecture: any
 Depends: libdnssec2 (= ${binary:Version}),
-         libknot4 (= ${binary:Version}),
+         libknot5 (= ${binary:Version}),
          libzscanner1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Section: net
 Conflicts: dnsutils
 Replaces: dnsutils
 Provides: dnsutils
@@ -163,11 +163,10 @@
 Package: knot-host
 Architecture: any
 Depends: libdnssec2 (= ${binary:Version}),
-         libknot4 (= ${binary:Version}),
+         libknot5 (= ${binary:Version}),
          libzscanner1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Section: net
 Conflicts: host
 Provides: host
 Replaces: host
