## knot 2.4.1

=== debian/changelog ===
knot (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Feb 2017 13:54:24 +0100
