## knot 2.5.3

=== debian/changelog ===
knot (2.5.3-3) unstable; urgency=medium

  * Simple rebuild to make knot-doc arch:all again.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 26 Jul 2017 14:41:26 +0200

knot (2.5.3-2) unstable; urgency=medium

  * Disable dh-exec usage as #831786 breaks dh_install --fail-missing
    (Closes: #869199)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Jul 2017 10:26:09 +0200

knot (2.5.3-1) unstable; urgency=medium

  * New upstream version 2.5.3

 -- Ondřej Surý <ondrej@debian.org>  Sat, 15 Jul 2017 07:26:12 +0200

knot (2.5.2-1) unstable; urgency=medium

  * New upstream version 2.5.2
  * Remove all patches merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Fri, 23 Jun 2017 11:46:34 +0200

knot (2.5.1-4) unstable; urgency=medium

  * Create the modules M-A directory to workaround the bug that fails to
    start knot when modules directory is missing

 -- Ondřej Surý <ondrej@debian.org>  Thu, 15 Jun 2017 11:32:09 +0200

knot (2.5.1-3) unstable; urgency=medium

  * Enable dnstap module and set default moduledir to multiarch path

 -- Ondřej Surý <ondrej@debian.org>  Thu, 15 Jun 2017 08:32:34 +0200

knot (2.5.1-2) unstable; urgency=medium

  * Explicitly exclude example.com.zone to support older debhelpers
  * Add patch to fix duplicate section merging in the config

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Jun 2017 13:47:17 +0200

knot (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * Remove upstream patches released as Knot DNS 2.5.1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Jun 2017 16:04:16 +0200

knot (2.5.0-2) unstable; urgency=medium

  * Add upstream patches to fix old DNSSEC installations
  * Skip already converted kasp-db directories
  * Install pykeymgr from upstream tarball

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Jun 2017 14:20:38 +0200

knot (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * Update maintscript to use dh-exec and remove obsolete cruft
  * Bump the package names for libknot and libdnssec to match new
    SOVERSIONs
  * Simplify d/rules overrides
  * Remove not-installed files from d/*.install
  * Install local copy of pykeymgr (not included in the source
    distribution)
  * Add python-lmdb for pykeymgr migration utility

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Jun 2017 11:03:22 +0200

knot (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Apr 2017 21:17:47 +0200

knot (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Mar 2017 11:47:52 +0100

knot (2.4.1-2) unstable; urgency=medium

  * Enable dnstap module

 -- Ondřej Surý <ondrej@debian.org>  Mon, 27 Feb 2017 11:35:15 +0100
