=== debian/control ===
--- 
+++ 
@@ -18,14 +18,17 @@
                dh-systemd,
                flex,
                libedit-dev,
+               libfstrm-dev,
                libgnutls28-dev,
                libidn11-dev,
                libjansson-dev (>= 2.4),
                liblmdb-dev,
+               libprotobuf-c-dev,
                libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
                libsystemd-dev [linux-any] | libsystemd-journal-dev [linux-any],
                liburcu-dev (>= 0.4),
-               pkg-config
+               pkg-config,
+               protobuf-c-compiler
 Standards-Version: 3.9.8
 Homepage: https://www.knot-dns.cz/
 Vcs-Browser: https://anonscm.debian.org/git/pkg-dns/knot.git
@@ -34,11 +37,12 @@
 Package: knot
 Architecture: any
 Depends: adduser,
-         libdnssec2 (= ${binary:Version}),
-         libknot5 (= ${binary:Version}),
+         libdnssec4 (= ${binary:Version}),
+         libknot6 (= ${binary:Version}),
          libzscanner1 (= ${binary:Version}),
          lsb-base (>= 3.0-6),
          python,
+         python-lmdb,
          python-yaml,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -51,7 +55,7 @@
  registry and hence is well suited to run anything from the root
  zone, the top-level domain, to many smaller standard domain names.
 
-Package: libknot5
+Package: libknot6
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -89,7 +93,7 @@
  This package provides a fast zone parser shared library used by Knot
  DNS and Knot Resolver.
 
-Package: libdnssec2
+Package: libdnssec4
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -109,10 +113,10 @@
 
 Package: libknot-dev
 Architecture: any
-Depends: libdnssec2 (= ${binary:Version}),
+Depends: libdnssec4 (= ${binary:Version}),
          libgnutls28-dev,
          libjansson-dev,
-         libknot5 (= ${binary:Version}),
+         libknot6 (= ${binary:Version}),
          libzscanner1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -132,8 +136,8 @@
 
 Package: knot-dnsutils
 Architecture: any
-Depends: libdnssec2 (= ${binary:Version}),
-         libknot5 (= ${binary:Version}),
+Depends: libdnssec4 (= ${binary:Version}),
+         libknot6 (= ${binary:Version}),
          libzscanner1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -162,8 +166,8 @@
 
 Package: knot-host
 Architecture: any
-Depends: libdnssec2 (= ${binary:Version}),
-         libknot5 (= ${binary:Version}),
+Depends: libdnssec4 (= ${binary:Version}),
+         libknot6 (= ${binary:Version}),
          libzscanner1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
